Advertisement:

Author Topic: 2.0.9 to 2.0.10 index.english.php - help with errors please  (Read 5141 times)

Offline billy2

  • Jr. Member
  • **
  • Posts: 187
2.0.9 to 2.0.10 index.english.php - help with errors please
« on: April 29, 2015, 03:38:36 AM »
Used package manager to update 2.0.9 to 2.0.10 - and got the following error

This patch file will provide important stability fixes to your SMF 2.0.9 forum.

Installations actions for "SMF 1.1.21 / 2.0.10 Update"
Installing this package will perform the following actions:
Type   Action   Description
   1.   Execute Modification   ./index.php                                                                                   Test successful
   2.   Execute Modification   ./Themes/default/languages/index.english.php                           Test failed
   1.   Replace                       ./Themes/default/languages/index.english.php                           Test failed
   2.   Replace                           ./Themes/default/languages/index.english.php                           Test successful
   3.   Execute Modification   ./Themes/default/scripts/script.js                                                   Test successful

This seems to be the only error -  I have not progressed the installation.
Would appreciate some help.
Thanks in advance


Also when I go to
Admin > Members > Members >View All Members > I am directed back to the Home Page ??

And just noticed in wordpad...............
Themes/default/languages/index.english.php is version 2.0.7 ????
« Last Edit: April 29, 2015, 04:15:47 AM by billy2 »

Offline Shambles

  • SMF Hero
  • ******
  • Posts: 5,167
  • Gender: Male
    • i30 Owners Club
Re: 2.0.9 to 2.0.10 index.english.php - help with errors please
« Reply #1 on: April 29, 2015, 04:16:14 AM »
Code: [Select]
Replace     ./Themes/default/languages/index.english.php   Test failed
There should be an clickable icon to the left of that message, which will open a window to show you the text that was being searched for as part of the modification's edit stream.

Offline billy2

  • Jr. Member
  • **
  • Posts: 187
Re: 2.0.9 to 2.0.10 index.english.php - help with errors please
« Reply #2 on: April 29, 2015, 04:33:28 AM »
Thank you

Code: (Find) [Select]
// Version: 2.0.8;
Code: (Replace) [Select]
// Version: 2.0.10;

What to do next ?

As noted earlier - my version is 2.0.7 (something went tits up a few updates ago methinks?)
Is there a downloadable 2.0.8 version I can install so the update can proceed?

Cheers

Offline Illori

  • Project Manager
  • SMF Legend
  • *
  • Posts: 51,259
Re: 2.0.9 to 2.0.10 index.english.php - help with errors please
« Reply #3 on: April 29, 2015, 05:12:17 AM »
if you are not on 2.0.9 you can not yet use the package manager upgrade. you should install each one you are missing first. they can be found here http://custom.simplemachines.org/upgrades/

Offline billy2

  • Jr. Member
  • **
  • Posts: 187
Re: 2.0.9 to 2.0.10 index.english.php - help with errors please
« Reply #4 on: April 29, 2015, 05:15:08 AM »
Cheers fella

 :D

Offline Shambles

  • SMF Hero
  • ******
  • Posts: 5,167
  • Gender: Male
    • i30 Owners Club
Re: 2.0.9 to 2.0.10 index.english.php - help with errors please
« Reply #5 on: April 29, 2015, 05:48:56 AM »
TBH, seeing as you're already running 2.0.9 and that failed edit is the only thing stopping you, I would simply allow the upgrade to proceed.

But that's just my opinion.

Offline billy2

  • Jr. Member
  • **
  • Posts: 187
Re: 2.0.9 to 2.0.10 index.english.php - help with errors please
« Reply #6 on: April 29, 2015, 06:26:25 AM »
Yup, I edited the file to read version 2.0.8, and altered the copyright date to 2014.
Upgrade worked and showed no errors.

Cheers, and thanks



Offline margarett

  • SMF Friend
  • SMF Super Hero
  • *
  • Posts: 19,761
  • Gender: Male
Re: 2.0.9 to 2.0.10 index.english.php - help with errors please
« Reply #7 on: April 29, 2015, 11:05:43 AM »
No, it's the other way around :P
You should update the header to read 2.0.10 and the copyright date should be 2015 ;)
Se forem conduzir, não bebam. Se forem beber... CHAMEM-ME!!!! :D

Quote
Over 90% of all computer problems can be traced back to the interface between the keyboard and the chair

Offline Steve

  • Freak
  • SMF Friend
  • SMF Hero
  • *
  • Posts: 4,500
  • Gender: Male
  • I have not yet begun to procrastinate.
Re: 2.0.9 to 2.0.10 index.english.php - help with errors please
« Reply #8 on: April 29, 2015, 03:38:18 PM »
No, it's the other way around :P
You should update the header to read 2.0.10 and the copyright date should be 2015 ;)
Did he do it before or after he installed the upgrade? I'm guessing before since that would make the upgrade install without errors, right?

Also, what updated the copyright date?
Online Manual

Please do not PM me for support.

Offline margarett

  • SMF Friend
  • SMF Super Hero
  • *
  • Posts: 19,761
  • Gender: Male
Re: 2.0.9 to 2.0.10 index.english.php - help with errors please
« Reply #9 on: April 29, 2015, 05:40:50 PM »
After the upgrade he should only fix the header as it failed. He should only fix the year because he undo'ed it :)
Se forem conduzir, não bebam. Se forem beber... CHAMEM-ME!!!! :D

Quote
Over 90% of all computer problems can be traced back to the interface between the keyboard and the chair

Offline taysan

  • Semi-Newbie
  • *
  • Posts: 37
Re: 2.0.9 to 2.0.10 index.english.php - help with errors please
« Reply #10 on: April 30, 2015, 11:34:40 AM »
FWIW I had the same problem on my 2.0.9 site, and just ignored the error.  So presumably I'll encounter the error moving forward.

The problem seems to be in the package, not on the sites.  If the installation is searching for 2.0.8 to replace with 2.0.10, clearing it's not going to find it if you're upgrading from 2.0.9.  Seems to me in prepping the 2.0.10 upgrade, they built off the 2.0.9 upgrade and missed this one entry.

Offline margarett

  • SMF Friend
  • SMF Super Hero
  • *
  • Posts: 19,761
  • Gender: Male
Re: 2.0.9 to 2.0.10 index.english.php - help with errors please
« Reply #11 on: April 30, 2015, 11:39:44 AM »
So just edit index.english.php and fix the header so it says 2.0.10 ;)

Quote
Seems to me in prepping the 2.0.10 upgrade, they built off the 2.0.9 upgrade and missed this one entry.
As it was said elsewhere, most people don't find this problem. We still couldn't find exactly where (or when) did the version mismatch occurred but that's not really important :P
It should have happened in 2.0.8 but many members are patching since 2.0 and didn't come across this problem, so...
If the patch is the same and only few people got this problem, then it's not the patch ;D
Se forem conduzir, não bebam. Se forem beber... CHAMEM-ME!!!! :D

Quote
Over 90% of all computer problems can be traced back to the interface between the keyboard and the chair

Offline Chas Large

  • SMF Friend
  • SMF Hero
  • *
  • Posts: 3,108
  • Gender: Male
  • Running 2.0.xx on Apache.
    • Chas.Large on Facebook
    • https://www.linkedin.com/in/charles-large-568ba213 on LinkedIn
    • @https://twitter.com/ on Twitter
    • Chas Large's Site
Re: 2.0.9 to 2.0.10 index.english.php - help with errors please
« Reply #12 on: May 04, 2015, 04:44:58 AM »
Had the same errors with 2.0.10 and 2015.

Found

Code: [Select]
// Version: 2.0.07; index
No idea why it was so old version even though it displayed 2.0.9 in the copyright.

changed to

Code: [Select]
// Version: 2.0.10; index
Had another error with the 2014 to 2015 line but could not find 2014, found this line

Code: [Select]
<a href="http://www.simplemachines.org/about/smf/license.php" title="License" target="_blank" class="new_win">SMF &copy; 2015</a>, <a href="http://www.simplemachines.org" title="Simple Machines" target="_blank" class="new_win">Simple Machines</a>';

However the copyright line shows

Quote
SMF 2.0.10 | SMF © 2011, Simple Machines

So where is the 2011 stored? It's not in index.english.php
My Modifications :)  My Forum

Please DO NOT PM me with support requests. Post the problem in the appropriate Support Board so everyone can benefit from the advice given.

Offline Chas Large

  • SMF Friend
  • SMF Hero
  • *
  • Posts: 3,108
  • Gender: Male
  • Running 2.0.xx on Apache.
    • Chas.Large on Facebook
    • https://www.linkedin.com/in/charles-large-568ba213 on LinkedIn
    • @https://twitter.com/ on Twitter
    • Chas Large's Site
Re: 2.0.9 to 2.0.10 index.english.php - help with errors please
« Reply #13 on: May 04, 2015, 04:50:17 AM »
On another test forum, the update had no errors but the copyright line shows

Quote
SMF 2.0.10 | SMF © 2013, Simple Machines

So was this date supposed to change?
My Modifications :)  My Forum

Please DO NOT PM me with support requests. Post the problem in the appropriate Support Board so everyone can benefit from the advice given.

Offline MarkRH

  • Semi-Newbie
  • *
  • Posts: 75
  • Gender: Male
    • @mrheadrick on Twitter
    • Mark Headrick's Web Site
Re: 2.0.9 to 2.0.10 index.english.php - help with errors please
« Reply #14 on: May 04, 2015, 04:53:01 AM »
I had the same problems with the version numbers in the files. I suspect a previous update did not correctly update the version numbers or something.
Mark H.
Pelicar Fantasy RPG Forum using SMF 2.1 RC 2 Now (Also testing 2.1 RC 2 locally)

Offline Chas Large

  • SMF Friend
  • SMF Hero
  • *
  • Posts: 3,108
  • Gender: Male
  • Running 2.0.xx on Apache.
    • Chas.Large on Facebook
    • https://www.linkedin.com/in/charles-large-568ba213 on LinkedIn
    • @https://twitter.com/ on Twitter
    • Chas Large's Site
Re: 2.0.9 to 2.0.10 index.english.php - help with errors please
« Reply #15 on: May 04, 2015, 05:08:44 AM »
All previous updates worked seamlessly and updated the version number correctly. Only really just noticed the date issue though.
My Modifications :)  My Forum

Please DO NOT PM me with support requests. Post the problem in the appropriate Support Board so everyone can benefit from the advice given.

Offline margarett

  • SMF Friend
  • SMF Super Hero
  • *
  • Posts: 19,761
  • Gender: Male
Re: 2.0.9 to 2.0.10 index.english.php - help with errors please
« Reply #16 on: May 04, 2015, 05:16:00 AM »
English-utf8, maybe?
Se forem conduzir, não bebam. Se forem beber... CHAMEM-ME!!!! :D

Quote
Over 90% of all computer problems can be traced back to the interface between the keyboard and the chair

Offline Chas Large

  • SMF Friend
  • SMF Hero
  • *
  • Posts: 3,108
  • Gender: Male
  • Running 2.0.xx on Apache.
    • Chas.Large on Facebook
    • https://www.linkedin.com/in/charles-large-568ba213 on LinkedIn
    • @https://twitter.com/ on Twitter
    • Chas Large's Site
Re: 2.0.9 to 2.0.10 index.english.php - help with errors please
« Reply #17 on: May 04, 2015, 05:24:52 AM »
English-utf8, maybe?
Not using utf-8 but the answer was in index.english_british..php Thanks for the crumb.
My Modifications :)  My Forum

Please DO NOT PM me with support requests. Post the problem in the appropriate Support Board so everyone can benefit from the advice given.